package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TestCaidan{
    private Integer sequenceid;
    private String id;
    private String caidanxiangming;
    private short caidancixu;
    private String url;
    private String caidanshuoming;
    private String chufatiaojian;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getSequenceid(){
        return this.sequenceid;
    }

    public void setSequenceid(Integer sequenceid){
        this.sequenceid = sequenceid;
    }
    public String getId(){
        return this.id;
    }

    public void setId(String id){
        this.id = id;
    }
    public String getCaidanxiangming(){
        return this.caidanxiangming;
    }

    public void setCaidanxiangming(String caidanxiangming){
        this.caidanxiangming = caidanxiangming;
    }
    public short getCaidancixu(){
        return this.caidancixu;
    }

    public void setCaidancixu(short caidancixu){
        this.caidancixu = caidancixu;
    }
    public String getUrl(){
        return this.url;
    }

    public void setUrl(String url){
        this.url = url;
    }
    public String getCaidanshuoming(){
        return this.caidanshuoming;
    }

    public void setCaidanshuoming(String caidanshuoming){
        this.caidanshuoming = caidanshuoming;
    }
    public String getChufatiaojian(){
        return this.chufatiaojian;
    }

    public void setChufatiaojian(String chufatiaojian){
        this.chufatiaojian = chufatiaojian;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

}

